/***************************************************************************
 *   Copyright (C) 2006 by Jean-Louis Fuchs                                 *
 *   ganwell@fangorn.ch                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "Changeset.h"

Changeset::Changeset(QString revsion, QDateTime date, QString author, QString changelog)
{
	this->revision = revision;
	this->date = date;
	this->author = author;
	this->changelog = changelog;
}

QString Changeset::getRevision()
{
	return revision;
}

QDateTime Changeset::getDate()
{
	return date;
}

QString Changeset::getAuthor()
{
	return author;
}

QString Changeset::getChangelogFlat()
{
	QString cl = changelog;
	cl.replace("\n", "");
	cl.replace("\r", "");
	cl.replace("\t", "");
	return cl;
}

Changeset::~Changeset() {}
